import EventEmitter from './EventEmitter';
export declare type MockExecutorConfig = {
    uri: string;
    workCount?: number;
    data: GetData;
    intervalTime?: number;
    delay?: number;
    disable?: boolean;
};
declare type GetData = (workCount: number) => any | any;
declare type MockExecutorConfigQueue = MockExecutorConfig[];
export default class MockExecutor extends EventEmitter {
    private configQueue;
    private workInProgress;
    onEnd?: () => void;
    onStart?: (excutor: MockExecutor) => void;
    private running;
    constructor(configQueue: MockExecutorConfigQueue);
    private intervalTimer;
    private workInUint;
    private work;
    private getDataFromConfig;
    private emitEvent;
    bailout(): void;
    start(): void;
    registry(uri: string, hander: any): void;
}
export {};
